<?php
/**
 * Template part for displaying single team post
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package laevento
 */

$laevento = laevento();
$laevento_meta = get_post_meta(get_the_ID(), 'laevento_team_options', true);

$img_id = get_post_thumbnail_id(get_the_ID()) ? get_post_thumbnail_id(get_the_ID()) : false;
$img_url_val = $img_id ? wp_get_attachment_image_src($img_id, 'team-details-image', false) : '';
$img_url = is_array($img_url_val) && !empty($img_url_val) ? $img_url_val[0] : '';
$img_alt = $img_id ? get_post_meta($img_id, '_wp_attachment_image_alt', true) : '';
$designation = isset($laevento_meta['designation']) && !empty($laevento_meta['designation']) ? $laevento_meta['designation'] : '';
$description = isset($laevento_meta['description']) && !empty($laevento_meta['description']) ? $laevento_meta['description'] : '';
$social_icons = isset($laevento_meta['social-icons']) && !empty($laevento_meta['social-icons']) ? $laevento_meta['social-icons'] : '';
$email = isset($laevento_meta['email']) && !empty($laevento_meta['email']) ? $laevento_meta['email'] : '';
$address = isset($laevento_meta['address']) && !empty($laevento_meta['address']) ? $laevento_meta['address'] : '';
$phone = isset($laevento_meta['phone']) && !empty($laevento_meta['phone']) ? $laevento_meta['phone'] : '';
$quote = isset($laevento_meta['quote']) && !empty($laevento_meta['quote']) ? $laevento_meta['quote'] : '';

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('laevento-details-content-area'); ?>>
    <div class="entry-content">
        <div class="team-area-wrap">
            <div class="row">
                <?php if(!empty($img_url)) : ?>
                    <div class="col-lg-6">
                        <div class="speakerDetailsImage">
                            <div class="speakerDetailsImage__thumb">
                                <img class="w-100" src="<?php echo esc_url($img_url); ?>" alt="<?php echo esc_attr($img_alt); ?>">
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
                <?php 
                    $pl_lg_5 = 'col-lg-12 pl-lg-4';
                    if(!empty($img_url)) : 
                        $pl_lg_5 = 'col-lg-6 pl-lg-4';
                    endif; 
                ?>
                <div class="align-self-center <?php echo esc_attr($pl_lg_5); ?>">
                    <div class="speakerDetailsImage__content pt-4 mt-lg-0 pt-50">
                        <h3 class="section-title"><?php echo esc_html(the_title()); ?></h3>
                        <span><?php echo esc_html($designation); ?></span>
                        <p class="speakerDetailsImage-para"><?php echo esc_html($description); ?></p>
                        <?php if(!empty($quote)) : ?>
                            <div class="speaker-details-quote">
                                <p class="borderr"><?php echo esc_html($quote); ?></p>
                            </div>
                        <?php endif; ?>
                        <?php if (!empty($social_icons)) { ?>
                            <div class="speaker-details-social">
                                <ul class="p-0 m-0">
                                    <?php
                                        foreach ($social_icons as $s_info) {
                                            printf('<li><a href="%2$s"><i class="%1$s"></i></a></li>', $s_info['icon'], $s_info['url']);
                                        }
                                    ?>   
                                </ul>
                            </div>
                        <?php } ?>
                        <?php if(!empty($email)) : ?>
                            <div class="website-link">
                                <h5 class="mb-0"><?php echo esc_html__('Email : ', 'laevento'); ?></h5>
                                <span><?php echo esc_html($email); ?></span>
                            </div>
                        <?php endif; ?>
                        <?php if(!empty($phone)) : ?>
                            <div class="website-link">
                                <h5 class="mb-0"><?php echo esc_html__('Phone : ', 'laevento'); ?></h5>
                                <span><?php echo esc_html($phone); ?></span>
                            </div>
                        <?php endif; ?>
                        <?php if(!empty($address)) : ?>
                            <div class="website-link">
                                <h5 class="mb-0"><?php echo esc_html__('Address : ', 'laevento'); ?></h5>
                                <span><?php echo esc_html($address); ?></span>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
        <?php
        the_content();
        $laevento->link_pages();
        ?>
    </div>
</article>