<?php
/**
 * Header Style 02
 * @package laevento
 * @since 1.0.0
 */

?>
<div class="header-style-02">
    <?php
    $has_nav_btn = !empty(cs_get_option('header_two_top_navbar_button')) ? 'has-nav-button' : 'no-nav-button';
    $header_three_countdown = cs_get_option('header_three_countdown');


    ?>
    <div class="body-overlay"></div>
    <div class="navbar-right-side" id="sidebar-menu">
        <div class="sidebar-inner"> 
            <div class="close-btn sidebar-menu-close"><i class="fa fa-times"></i></div>
            <div class="logo-wrapper default-logo">
                <?php
                $header_three_logo_sitebar = cs_get_option('header_three_logo_sitebar');
                if (has_custom_logo() && empty($header_three_logo['id'])) {
                    the_custom_logo();
                } elseif (!empty($header_three_logo_sitebar['id'])) {
                    printf('<a class="site-logo" href="%1$s"><img src="%2$s" alt="%3$s"/></a>', esc_url(get_home_url()), $header_three_logo_sitebar['url'], $header_three_logo_sitebar['alt']);
                } else {
                    printf('<a class="site-title" href="%1$s">%2$s</a>', esc_url(get_home_url()), esc_html(get_bloginfo('title')));
                }
                ?>
            </div>
            <div class="main-menu-sidebar-nav">
                <?php
                    wp_nav_menu(array(
                        'theme_location' => 'main-menu',
                        'menu_class' => 'navbar-nav',
                        'container' => 'div',
                        'container_id' => 'laevento_main_menu'
                    ));
                ?>
            </div>
        </div>
    </div>
    <!-- start navbar -->

    <nav class="navbar navbar-area navbar-expand-lg navigation-style-03 navbar-default">
        <div class="container custom-container">
            <div class="logo-wrapper default-logo">
                <?php
                $header_three_logo = cs_get_option('header_three_logo');
                if (has_custom_logo() && empty($header_three_logo['id'])) {
                    the_custom_logo();
                } elseif (!empty($header_three_logo['id'])) {
                    printf('<a class="site-logo" href="%1$s"><img src="%2$s" alt="%3$s"/></a>', esc_url(get_home_url()), $header_three_logo['url'], $header_three_logo['alt']);
                } else {
                    printf('<a class="site-title" href="%1$s">%2$s</a>', esc_url(get_home_url()), esc_html(get_bloginfo('title')));
                }
                ?>
            </div>
            <div class="header-counter-area">
                <div id="mycountdown2" class="counter-single-item-inner"
                     data-countdown="<?php echo esc_attr($header_three_countdown); ?>">
                    <ul class="countdown">
                        <li class="counter-item">
                            <span class="weeks"></span>
                            <h6> <?php echo esc_html__('Weeks', 'laevento'); ?> </h6>
                        </li>
                        <li class="counter-item">
                            <span class="days"></span>
                            <h6> <?php echo esc_html__('Days', 'laevento'); ?> </h6>
                        </li>
                        
                        <li class="counter-item">
                            <span class="hours"></span>
                            <h6> <?php echo esc_html__('Hours', 'laevento'); ?> </h6>
                        </li>
                        <li class="counter-item">
                            <span class="mins"></span>
                            <h6> <?php echo esc_html__('Minutes', 'laevento'); ?> </h6>
                        </li>
                        <li class="counter-item">
                            <span class="secs"></span>
                            <h6> <?php echo esc_html__('Seconds', 'laevento'); ?> </h6>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="nav-right-content">
                <div class="align-self-center header-search" id="search">
                    <i class="icomoon-search"></i>
                </div>
                <div class="nav-right-content-info">
                    <a class="navigation-button" id="navigation-button" href="#">
                        <svg xmlns="http://www.w3.org/2000/svg" width="30" height="25" viewBox="0 0 30 25">
                          <g id="Group_4970" data-name="Group 4970" transform="translate(-1787 -90)">
                            <rect id="Rectangle_1016" data-name="Rectangle 1016" width="24" height="3" rx="1.5" transform="translate(1793 101)" fill="#fff"/>
                            <rect id="Rectangle_1018" data-name="Rectangle 1018" width="30" height="3" rx="1.5" transform="translate(1787 90)" fill="#fff"/>
                            <rect id="Rectangle_1019" data-name="Rectangle 1019" width="14" height="3" rx="1.5" transform="translate(1803 112)" fill="#fff"/>
                          </g>
                        </svg>
                    </a>
                </div>
            </div>
        </div>
    </nav>
</div>