<?php
/**
 * Header Style 03
 * @package laevento
 * @since 1.0.0
 */

?>
<div class="header-style-03">
    <?php
        $header_two_navbar_search_info = cs_get_option('header_two_navbar_search_info');
        $header_two_navbar_btn = cs_get_option('header_two_navbar_btn'); 
        $header_two_navbar_btn_url = cs_get_option('header_two_navbar_btn_url'); 
    ?>

    <nav class="navbar navbar-area navbar-expand-lg navigation-style-02 navbar-default">
        <div class="container custom-container">
            <div class="responsive-mobile-menu">
                <div class="logo-wrapper">
                    <?php
                    $header_four_logo = cs_get_option('header_four_logo');
                    if (has_custom_logo() && empty($header_four_logo['id'])) {
                        the_custom_logo();
                    } elseif (!empty($header_four_logo['id'])) {
                        printf('<a class="site-logo" href="%1$s"><img src="%2$s" alt="%3$s"/></a>', esc_url(get_home_url()), $header_four_logo['url'], $header_four_logo['alt']);
                    } else {
                        printf('<a class="site-title" href="%1$s">%2$s</a>', esc_url(get_home_url()), esc_html(get_bloginfo('title')));
                    }
                    ?>
                </div>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#laevento_main_menu"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
            </div>
            <?php
            wp_nav_menu(array(
                'theme_location' => 'main-menu',
                'menu_class' => 'navbar-nav w-100 text-lg-right',
                'container' => 'div',
                'container_class' => 'collapse navbar-collapse',
                'container_id' => 'laevento_main_menu'
            ));
            ?>
            <?php if(!empty($header_two_navbar_search_info || $header_two_navbar_btn)) : ?>
                <div class="nav-right-content">
                    <?php if(!empty($header_two_navbar_search_info)) : ?>
                        <div class="align-self-center header-search" id="search">
                            <i class="icomoon-search"></i>
                        </div>
                    <?php endif; ?>
                    <?php if(!empty($header_two_navbar_btn)) : ?>
                        <div class="nav-right-content-info">
                            <a class="btn-laevento btn-base-fill" href="<?php echo esc_url($header_two_navbar_btn_url); ?>"><?php echo esc_html($header_two_navbar_btn); ?></a>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
        </div>
    </nav>
</div>