<?php
/**
 * Single Event Template
 * A single event. This displays the event title, description, meta, and
 * optionally, the Google map for the event.
 *
 * Override this template in your own theme by creating a file at [your-theme]/tribe-events/single-event.php
 *
 * @package TribeEventsCalendar
 * @version 4.6.19
 *
 */

if (!defined('ABSPATH')) {
    die('-1');
}

$events_label_singular = tribe_get_event_label_singular();
$events_label_plural = tribe_get_event_label_plural();
$event_id = get_the_ID();
$event_start_time = get_post_meta($event_id, '_EventStartDate', true);
$event_single_meta_data = get_post_meta(get_the_ID(), 'laevento_event_options', true);
$event_hall_no = isset($event_single_meta_data['event_hall_no']) && !empty($event_single_meta_data['event_hall_no']) ? $event_single_meta_data['event_hall_no'] : '';
$event_btn_text = isset($event_single_meta_data['event_btn_text']) && !empty($event_single_meta_data['event_btn_text']) ? $event_single_meta_data['event_btn_text'] : '';
$event_btn_url = isset($event_single_meta_data['event_btn_url']) && !empty($event_single_meta_data['event_btn_url']) ? $event_single_meta_data['event_btn_url'] : '';

?>
<section <?php post_class('laevento-details-content-area'); ?>>
    <div class="padding-top-120 padding-bottom-110">
        <div class="container">
            <?php while (have_posts()) : the_post(); ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    <div class="pl-2 pr-2">
                        <div class="scheduling-time">
                            <?php echo get_the_post_thumbnail($event_id, 'laevento_event_image', false); ?>
                        </div>
                        <div class="scheduling-time-wrapper">
                            <div class="scheduling-time">
                                <h3 class="scheduling-details-title">
                                    <?php echo tribe_get_start_date(null, false, 'h:i'); ?>
                                    <?php echo esc_html__('-', 'laevento'); ?>
                                    <?php echo tribe_get_end_date(null, false, 'h:i'); ?>
                                </h3>
                                <?php if(!empty($event_hall_no)) : ?>
                                    <p class="scheduling-para mb-0"><?php echo esc_html($event_hall_no); ?></p>
                                <?php endif; ?>
                            </div>
                            <?php if(!empty($event_btn_text)) : ?>
                                <div class="main-menu-wrapper__btn-box">
                                    <a href="<?php echo esc_url($event_btn_url); ?>" class="btn-laevento btn-base-fill"><?php echo esc_html($event_btn_text); ?> <i class="fa fa-arrow-right"></i></a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>

            <?php
                the_content();
            ?>
        </div>
    </div>
</section>			